Page MenuHomePhabricator

Return to User or User_talk page after Special:Emailuser action -- instead of hijacking to Main_page
Closed, ResolvedPublic

Description

When you visit a user X page (or user_talk X page) to send an email to this user
X, the wiki (1.3.7) wants to hijack you to the Main_page.

It makes no sense to go to Main_page.

I propose: to return back to the page from which you sent the mail which is the
user X (or user_talk page X).
no hijacking, please :-)


Version: unspecified
Severity: enhancement

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz832

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 7:00 PM
bzimport set Reference to bz832.
Wikinaut created this task.Nov 5 2004, 7:12 PM

(In reply to comment #0)

When you visit a user X page (or user_talk X page) to send an email to this user
X, the current wikis (1.4beta4 as of today) want to hijack you to the Main_page.
However, it makes no sense to be hijacked to the Main_page, I propose: to

return back to the page from which you sent the mail which is the user X (or
user_talk page X)

no hijacking, please :-)

Please can someone fix this ?

Still hijacking !! Currently, you are returned to the Main_Page (or prepared to
return to it when you click onto the link - after sending a usermail), but
really more logically would it, to *return to the last visited page*, which
was the User: or User_talk: page of the recipient.

Please can someone of the developers fix this ? (please also fix this in CVS
HEAD, if not yet done. I can't fix it)

Tom

has this already been fixed in REL1_5 ?

still in 1.6

robchur wrote:

Fixed in SVN trunk, r16221. Now returns to user page upon completion.

epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:20 AM